/*
Copyright (C) 2017 Semester.ly Technologies, LLC

Semester.ly is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Semester.ly is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
*/

/* eslint-disable no-useless-escape */

const courseModalBodyFixture = {
  schoolSpecificInfo: {
    primaryDisplay: 'code',
    areasName: 'Breadths',
    departmentsName: 'Departments',
    levelsName: 'Levels',
    timesName: 'Times',
    courseRegex: '([A-Z]{3}[A-Z0-9]\\d{2}[HY]\\d)',
    campuses: {
      1: 'UTSG',
      3: 'UTSC',
      5: 'UTM',
    },
  },
  addOrRemoveCourse: () => null,
  react: () => null,
  hideModal: () => null,
  openSignUpModal: () => null,
  changeUserInfo: () => null,
  saveSettings: () => null,
  hoverSection: () => null,
  unHoverSection: () => null,
  fetchCourseInfo: () => null,
  isSectionLocked: () => null,
  isSectionOnActiveTimetable: () => null,
  getShareLink: () => null,
  getShareLinkFromModal: () => null,
  isFetching: false,
  isFetchingClassmates: false,
  data: {
    code: 'ECO204Y1',
    name: 'Microeconomic Theory and Applications (for Commerce)',
    id: 500,
    description: 'The use of microeconomics to analyze a variety of issues from marketing and finance to organizational structure. Consumer preferences and behavior; demand, cost analysis and estimation; allocation of inputs, pricing and firm behavior under perfect and imperfect competition; game theory and public policy, including competition policy. Business cases are used to connect theory and practice and to highlight differences and similarities between economics and accounting, marketing and finance. This course is restricted to students in the Commerce programs.',
    department: 'ECO',
    num_credits: 1,
    areas: '(3)',
    campus: '1',
    evals: [],
    integrations: [],
    related_courses: [],
    reactions: [],
    textbooks: [],
    regexed_courses: {
      ECO100Y1: 'Introduction to Economics',
      ECO102H1: 'Principles of Macroeconomics',
      ECO101H1: 'Principles of Microeconomics',
      MAT157Y1: 'Analysis I',
      ECO105Y1: 'Principles of Economics for Non-Specialists',
      MAT137Y1: 'Calculus',
      MAT135H1: 'Calculus 1(A)',
      MAT133Y1: 'Calculus and Linear Algebra for Commerce',
      MAT136H1: 'Calculus 1(B)',
    },
    popularity_percent: 0.0012345679012345679,
    sections: [
      {
        id: 74446,
        meeting_section: 'L0201',
        size: 130,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94307,
            day: 'T',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 74446,
          },
          {
            id: 94306,
            day: 'F',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 74446,
          },
        ],
      },
      {
        id: 79280,
        meeting_section: 'L0301',
        size: 140,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94311,
            day: 'W',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 79280,
          },
          {
            id: 94310,
            day: 'F',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79280,
          },
        ],
      },
      {
        id: 79282,
        meeting_section: 'L0401',
        size: 130,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94315,
            day: 'W',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79282,
          },
          {
            id: 94314,
            day: 'F',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79282,
          },
        ],
      },
      {
        id: 79284,
        meeting_section: 'L5101',
        size: 140,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'P Blanchenay',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94319,
            day: 'R',
            time_start: '18:00',
            time_end: '20:00',
            location: '',
            section: 79284,
          },
          {
            id: 94318,
            day: 'F',
            time_start: '12:00',
            time_end: '14:00',
            location: '',
            section: 79284,
          },
        ],
      },
      {
        id: 79286,
        meeting_section: 'L0501',
        size: 130,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'P Foltin',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94323,
            day: 'R',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79286,
          },
          {
            id: 94322,
            day: 'F',
            time_start: '12:00',
            time_end: '14:00',
            location: '',
            section: 79286,
          },
        ],
      },
      {
        id: 79288,
        meeting_section: 'L0101',
        size: 140,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94327,
            day: 'T',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 79288,
          },
          {
            id: 94326,
            day: 'F',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 79288,
          },
        ],
      },
    ],
    prerequisites: 'ECO100Y1(67%)/(ECO101H1(63%), ECO102H1(63%))/ECO105Y1(80%); MAT133Y1/(MAT135H1, MAT136H1)/MAT137Y1/MAT157Y1',
    exclusions: 'ECO200Y1, ECO206Y1',
    corequisites: '',
    is_waitlist_only: false,
  },
  id: 'ECO204Y1',
  sectionTypeToSections: {
    L: [
      {
        id: 79288,
        meeting_section: 'L0101',
        size: 140,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94327,
            day: 'T',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 79288,
          },
          {
            id: 94326,
            day: 'F',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 79288,
          },
        ],
      },
      {
        id: 74446,
        meeting_section: 'L0201',
        size: 130,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94307,
            day: 'T',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 74446,
          },
          {
            id: 94306,
            day: 'F',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 74446,
          },
        ],
      },
      {
        id: 79280,
        meeting_section: 'L0301',
        size: 140,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94311,
            day: 'W',
            time_start: '11:00',
            time_end: '13:00',
            location: '',
            section: 79280,
          },
          {
            id: 94310,
            day: 'F',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79280,
          },
        ],
      },
      {
        id: 79282,
        meeting_section: 'L0401',
        size: 130,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'S Hussain',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94315,
            day: 'W',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79282,
          },
          {
            id: 94314,
            day: 'F',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79282,
          },
        ],
      },
      {
        id: 79286,
        meeting_section: 'L0501',
        size: 130,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'P Foltin',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94323,
            day: 'R',
            time_start: '14:00',
            time_end: '16:00',
            location: '',
            section: 79286,
          },
          {
            id: 94322,
            day: 'F',
            time_start: '12:00',
            time_end: '14:00',
            location: '',
            section: 79286,
          },
        ],
      },
      {
        id: 79284,
        meeting_section: 'L5101',
        size: 140,
        enrolment: 0,
        waitlist: -1,
        waitlist_size: -1,
        section_type: 'L',
        instructors: 'P Blanchenay',
        semester: {
          id: 11,
          name: 'Winter',
          year: '2018',
        },
        offering_set: [
          {
            id: 94319,
            day: 'R',
            time_start: '18:00',
            time_end: '20:00',
            location: '',
            section: 79284,
          },
          {
            id: 94318,
            day: 'F',
            time_start: '12:00',
            time_end: '14:00',
            location: '',
            section: 79284,
          },
        ],
      },
    ],
  },
  classmates: {
    past: [
      {
        major: 'Accounting',
        emails_enabled: true,
        school: 'jhu',
        sections: [
          '(01)',
        ],
        social_offerings: true,
        class_year: 2018,
        social_all: true,
        last_name: 'Margolius Presler',
        integrations: [

        ],
        first_name: 'Linda',
        social_courses: true,
        img_url: 'https:\/\/scontent.xx.fbcdn.net\/v\/t1.0-1\/p50x50\/10957589_10152725992049147_2815259779743523470_n.jpg?oh=85550d1771fec7b1524ac1d9303cd697&oe=598CCC9B',
      },
    ],
    current: [
      {
        major: 'Accounting',
        emails_enabled: true,
        school: 'jhu',
        sections: [
          '(01)',
        ],
        social_offerings: true,
        class_year: 2018,
        social_all: true,
        last_name: 'Margolius Presler',
        integrations: [

        ],
        first_name: 'Linda',
        social_courses: true,
        img_url: 'https:\/\/scontent.xx.fbcdn.net\/v\/t1.0-1\/p50x50\/10957589_10152725992049147_2815259779743523470_n.jpg?oh=85550d1771fec7b1524ac1d9303cd697&oe=598CCC9B',
      },
      {
        major: 'Accounting',
        emails_enabled: true,
        school: 'jhu',
        sections: [
          '(01)',
        ],
        social_offerings: true,
        class_year: 2017,
        social_all: true,
        last_name: 'Isalwaysontheprowl',
        integrations: [

        ],
        first_name: 'Mylittlewilliamyao',
        social_courses: true,
        img_url: 'https:\/\/scontent.xx.fbcdn.net\/v\/t1.0-1\/c163.0.204.204\/s50x50\/12321414_113682579025974_6205266913524508520_n.jpg?oh=dfa9c89403c0179bd6b00e4afd300569&oe=599A0E58',
      },
    ],
  },
  popularityPercent: 1.1111111111111,
  inRoster: true,
  isLoggedIn: true,
  hasSocial: true,
  userInfo: {},
};

export default courseModalBodyFixture;

/* eslint-enable no-useless-escape */
