"""
Copyright (C) 2017 Semester.ly Technologies, LLC

Semester.ly is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Semester.ly is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
"""

# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2017-03-12 00:19
from __future__ import unicode_literals

from django.db import migrations


def create_new_semesters(apps, schema_editor):
  Semester = apps.get_model('timetable', 'Semester')
  new_rows = [
    Semester.objects.get_or_create(name='Fall', year='2016'),
    Semester.objects.get_or_create(name='Spring', year='2017'),
    Semester.objects.get_or_create(name='Winter', year='2017'),
  ]
  print "Created {0} new terms".format(sum(is_new for (_, is_new) in new_rows))


class Migration(migrations.Migration):

    dependencies = [
        ('timetable', '0009_semester'),
    ]

    operations = [
      migrations.RunPython(create_new_semesters),
    ]
